toolzerhub API Docs

Get the video board

Returns the ranked hot videos for a lookback window.

2 credits / requestBilled only on success
GET
/v2/douyin/billboard/videos

Authorization

ApiKeyAuth
x-api-key<token>

In: header

Query Parameters

page?integer

Page number starting at 1.

Range1 <= value
Default1
page_size?integer

Items per page.

Range1 <= value
Default10
date_window?integer

Lookback window in hours: 1 (hour), 24 (day), 72 (3 days) or 168 (7 days).

Default24

Value in

  • 1
  • 24
  • 72
  • 168
sub_type?string

Video board sub-type id.

Default"1001"
keyword?string

Optional term to filter the list by.

curl -X GET "https://example.com/v2/douyin/billboard/videos" \  -H "x-api-key: YOUR_API_KEY"
{  "data": {    "data": {      "list": [        {          "item_title": "..."        }      ]    }  }}